org.apache.avro

## Class SchemaBuilder.ArrayBuilder<R>

- java.lang.Object
- - org.apache.avro.SchemaBuilder.PropBuilder<SchemaBuilder.ArrayBuilder<R>>
  - - org.apache.avro.SchemaBuilder.ArrayBuilder<R>

Enclosing class:
  SchemaBuilder

    public static final class SchemaBuilder.ArrayBuilder<R>
    extends SchemaBuilder.PropBuilder<SchemaBuilder.ArrayBuilder<R>>

Builds an Avro Array type with optional properties.

Set properties with `SchemaBuilder.PropBuilder.prop(String, String)`.

The Array schema's properties are finalized when `items()` or `items(Schema)` is called.

### Constructor Summary

Constructors
Constructor and Description
`ArrayBuilder(org.apache.avro.SchemaBuilder.Completion<R> context, org.apache.avro.SchemaBuilder.NameContext names)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SchemaBuilder.TypeBuilder<R>` `items()` Return a type builder for configuring the array's nested items schema.
`R` `items(Schema itemsSchema)` Complete configuration of this array, setting the schema of the array items to the schema provided.
`protected SchemaBuilder.ArrayBuilder<R>` `self()` a self-type for chaining builder subclasses.

### Methods inherited from class org.apache.avro.SchemaBuilder.PropBuilder

`prop, prop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayBuilder

    public ArrayBuilder(org.apache.avro.SchemaBuilder.Completion<R> context,
                        org.apache.avro.SchemaBuilder.NameContext names)

### Method Detail

#### self

    protected SchemaBuilder.ArrayBuilder<R> self()

Description copied from class: `SchemaBuilder.PropBuilder`
a self-type for chaining builder subclasses. Concrete subclasses must return 'this'

Specified by:
  `self` in class `SchemaBuilder.PropBuilder<SchemaBuilder.ArrayBuilder<R>>`

#### items

    public SchemaBuilder.TypeBuilder<R> items()

Return a type builder for configuring the array's nested items schema. This builder will return control to the array's enclosing context when complete.

#### items

    public R items(Schema itemsSchema)

Complete configuration of this array, setting the schema of the array items to the schema provided. Returns control to the enclosing context.